public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Piotr Karbowski" <slashbeast@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/gradm/
Date: Mon, 24 Feb 2020 08:29:34 +0000 (UTC)	[thread overview]
Message-ID: <1582532964.79cbcd89543b80658348bcef5423b405360c3d35.slashbeast@gentoo> (raw)

commit:     79cbcd89543b80658348bcef5423b405360c3d35
Author:     Piotr Karbowski <slashbeast <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 24 08:27:30 2020 +0000
Commit:     Piotr Karbowski <slashbeast <AT> gentoo <DOT> org>
CommitDate: Mon Feb 24 08:29:24 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79cbcd89

sys-apps/gradm-3.1.201903191516: bump.

Signed-off-by: Piotr Karbowski <slashbeast <AT> gentoo.org>

 sys-apps/gradm/Manifest                      |  1 +
 sys-apps/gradm/gradm-3.1.201903191516.ebuild | 51 ++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/sys-apps/gradm/Manifest b/sys-apps/gradm/Manifest
index 8bedadd1528..89b980f7599 100644
--- a/sys-apps/gradm/Manifest
+++ b/sys-apps/gradm/Manifest
@@ -2,3 +2,4 @@ DIST gradm-3.1-201603152148.tar.gz 91549 BLAKE2B a569ebbac10418ad69effb47a4102bd
 DIST gradm-3.1-201607172312.tar.gz 91667 BLAKE2B 207f86d12789ada00eeb3bc813863d671be54265eff7649a40960ab41296977d0e36dc60ebc482514e1803050026783d43017e7423e25e4d652f813cfb3e75c0 SHA512 61f14038ee555b99e4d0096dd01697d8adba45e057ffceadb44eafbdfba807b53030684c5073d169c005902acfa6baa673975ed4ab00ad035941c209f8f1d2e2
 DIST gradm-3.1-201608131257.tar.gz 91949 BLAKE2B e1dc55706a0c8492b2d0716cfe8abb4efdcd3829da725f412bd6882e28b34e0f52eb796fb9ff0b25db93512893d9d7dafe1aa54f44fa2f3b329adb48d4bc14b4 SHA512 0947abda8d4085fd6f4a569a29f146d6f093c7013ea3aba50df4fb740487b93696b63ab475eb862cfcd26aeb62cd69a55c3d6083b91a2eb9349ad566735f8cfe
 DIST gradm-3.1-201708012022.tar.gz 92238 BLAKE2B 220a2cba3f01e92adc6bf959cfa1721d6ea41247be2c6b742577c434071fe80d0135773e18b9a8a89f1c893c9cd03443e29af0e0b027c97422e4a743f8b6c960 SHA512 1c319ce5b102ad54d0c4d0c43222ed755719bb2568c9a4575b62965a73b0765265dc7068488e5e34df52ed9382b17e4bf1b32a8eef20a4d7a534f3f9a4ba2b3d
+DIST gradm-3.1-201903191516.tar.gz 92504 BLAKE2B e302f77cd3b27e5288a63a578a8161784161b024ff9740e0fbbd75edc66e918025082cf6c860b7be21be14cea2cbe0ed38376a528309aabb574a5bb909bcd1be SHA512 224f87035c2604640f14a6cafc94b16aae765bbaf457675cc189fe7c8b73450281bc16456d1c59cc8926c920601293840a148f4193e708c83509aef2a25fbd9f

diff --git a/sys-apps/gradm/gradm-3.1.201903191516.ebuild b/sys-apps/gradm/gradm-3.1.201903191516.ebuild
new file mode 100644
index 00000000000..35dd8bc4384
--- /dev/null
+++ b/sys-apps/gradm/gradm-3.1.201903191516.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit flag-o-matic toolchain-funcs udev
+
+MY_PV="$(ver_rs 2 -)"
+
+DESCRIPTION="Administrative interface for the grsecurity Role Based Access Control system"
+HOMEPAGE="https://www.grsecurity.net/"
+SRC_URI="https://dev.gentoo.org/~slashbeast/distfiles/gradm/${PN}-${MY_PV}.tar.gz"
+LICENSE="GPL-2"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="pam"
+
+RDEPEND=""
+DEPEND="
+	sys-devel/bison
+	sys-devel/flex
+	pam? ( sys-libs/pam )"
+
+S=${WORKDIR}/${PN}
+
+PATCHES=(
+	"${FILESDIR}"/respect-gentoo-env-r3.patch
+)
+
+src_prepare() {
+	default
+	sed -i -e "s:/lib/udev:$(get_udevdir):" Makefile || die
+}
+
+src_compile() {
+	local target
+	use pam || target="nopam"
+
+	emake ${target} CC="$(tc-getCC)" OPT_FLAGS="${CFLAGS}"
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	fperms 711 /sbin/gradm
+}
+
+pkg_postinst() {
+	ewarn
+	ewarn "Be sure to set a password with 'gradm -P' before enabling learning mode."
+	ewarn
+}


             reply	other threads:[~2020-02-24  8:29 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-02-24  8:29 Piotr Karbowski [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-17  8:42 [gentoo-commits] repo/gentoo:master commit in: sys-apps/gradm/ Sam James
2024-01-08 12:28 Sam James
2022-08-31  7:06 Andreas Sturmlechner
2022-08-31  5:41 Andreas Sturmlechner
2022-01-12 17:08 Jakov Smolić
2022-01-12 11:41 Jakov Smolić
2021-09-24 11:25 Anthony G. Basile
2019-10-12 21:33 Mikle Kolyada
2017-08-02 12:01 Anthony G. Basile
2016-11-19 15:13 Anthony G. Basile
2016-11-19 15:13 Anthony G. Basile
2016-07-19  6:43 Anthony G. Basile
2016-05-26  8:15 Anthony G. Basile
2016-05-26  8:15 Anthony G. Basile
2016-05-17 20:59 Anthony G. Basile
2016-03-16  6:40 Anthony G. Basile
2016-03-16  6:40 Anthony G. Basile
2016-03-16  6:40 Anthony G. Basile

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1582532964.79cbcd89543b80658348bcef5423b405360c3d35.slashbeast@gentoo \
    --to=slashbeast@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox